loci.formats

## Interface ICompressedTileWriter

- All Known Subinterfaces:
    IFormatWriter
  All Known Implementing Classes:
    APNGWriter, AVIWriter, BufferedImageWriter, CellH5Writer, DicomWriter, EPSWriter, FormatWriter, ICSWriter, ImageIOWriter, ImageWriter, JavaWriter, JPEG2000Writer, JPEGWriter, OMETiffWriter, OMEXMLWriter, PyramidOMETiffWriter, QTWriter, TiffWriter, V3DrawWriter, WriterWrapper

      public interface ICompressedTileWriter

  Interface for writing pre-compressed image tiles.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Codec` | `getCodec()`
    `default CodecOptions` | `getCodecOptions()`
    `default void` | `saveCompressedBytes(int no, byte[] buf, int x, int y, int w, int h)` Save a compressed tile to the current output file.

- - ### Method Detail

    - #### saveCompressedBytes

          default void saveCompressedBytes(int no,
                                           byte[] buf,
                                           int x,
                                           int y,
                                           int w,
                                           int h)
                                    throws FormatException,
                                           java.io.IOException

      Save a compressed tile to the current output file. The compression type of the tile should match the compression type set in the writer.
      Parameters:
        `no` - plane index
        `buf` - compressed tile bytes
        `x` - pixel X coordinate of the upper-left corner of the tile
        `y` - pixel Y coordinate of the upper-left corner of the tile
        `w` - width in pixels of the compressed tile
        `h` - height in pixels of the compressed tile
      Throws:
        `FormatException`
        `java.io.IOException`

    - #### getCodec

          default Codec getCodec()

      Returns:
        the codec that can be used to compress tiles

    - #### getCodecOptions

          default CodecOptions getCodecOptions()

      Returns:
        the codec options that can be used to compress tiles

Copyright © 2026 Open Microscopy Environment